org.baraza.DB

## Class BUser

- java.lang.Object
- - org.baraza.DB.BUser

-     public class BUser
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BUser(BDB db, String userIP, String userName)`
    `BUser(BDB db, String userIP, String userName, boolean newUser)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEntityName()`
    `List<String>` | `getGroupRoles()`
    `String` | `getOrgAnd(String orgTable)`
    `String` | `getOrgWhere(String orgTable)`
    `String` | `getStartView()`
    `boolean` | `getSuperUser()`
    `String` | `getUserID()`
    `String` | `getUserIP()`
    `String` | `getUserName()`
    `String` | `getUserOrg()`
    `String` | `getUserOrgName()`
    `List<String>` | `getUserRoles()`
    `void` | `setUser(BDB db, String tableName, String idCol, String nameCol, String userName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BUser

          public BUser(BDB db,
               String userIP,
               String userName,
               boolean newUser)

    - #### BUser

          public BUser(BDB db,
               String userIP,
               String userName)

  - ### Method Detail

    - #### setUser

          public void setUser(BDB db,
                     String tableName,
                     String idCol,
                     String nameCol,
                     String userName)

    - #### getOrgWhere

          public String getOrgWhere(String orgTable)

    - #### getOrgAnd

          public String getOrgAnd(String orgTable)

    - #### getUserID

          public String getUserID()

    - #### getUserIP

          public String getUserIP()

    - #### getUserOrg

          public String getUserOrg()

    - #### getUserOrgName

          public String getUserOrgName()

    - #### getUserName

          public String getUserName()

    - #### getEntityName

          public String getEntityName()

    - #### getStartView

          public String getStartView()

    - #### getSuperUser

          public boolean getSuperUser()

    - #### getUserRoles

          public List<String> getUserRoles()

    - #### getGroupRoles

          public List<String> getGroupRoles()

Copyright © 2016 openBaraza. All Rights Reserved.